---
title: AmbientLightSensor.illuminance
slug: Web/API/AmbientLightSensor/illuminance
tags:
  - API
  - Ambient Light Level API
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - illuminance
---
<p>{{APIRef("Generic Sensor API")}}{{seecompattable}}</p>

<p><span class="seoSummary">The <strong><code>illuminance</code></strong> property of the {{domxref("AmbientLightSensor")}} interface returns the current light level in <a href="https://en.wikipedia.org/wiki/Lux">lux</a> of the ambient light level around the hosting device.</span></p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation insfructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>level</em> = AmbientLightSensor.illuminance</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('Number')}} indicating the current light level in lux.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">if ( 'AmbientLightSensor' in window ) {
  const sensor = new AmbientLightSensor();
  sensor.onreading = () =&gt; {
    console.log('Current light level:', sensor.illuminance);
  };
  sensor.onerror = (event) =&gt; {
    console.log(event.error.name, event.error.message);
  };
  sensor.start();
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('AmbientLight','#ambient-light-sensor-reading-attribute','illuminance')}}</td>
   <td>{{Spec2('AmbientLight')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AmbientLightSensor.illuminance")}}</p>
